# List Transaction Entries

Returns a list of TransactionEntries that match the provided filters.

## Request

```curl
curl -G https://api.stripe.com/v2/money_management/transaction_entries \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --data-urlencode "created[gte]=2023-01-01T00:00:00Z"
```

### Response

```json
{
  "data": [
    {
      "id": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
      "object": "v2.money_management.transaction_entry",
      "balance_impact": {
        "available": {
          "value": -1000,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": 1000,
          "currency": "usd"
        }
      },
      "created": "2023-04-21T21:03:16.775Z",
      "effective_at": "2023-04-21T21:03:14.418Z",
      "livemode": true,
      "transaction": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
      "transaction_details": {
        "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
        "category": "outbound_transfer",
        "flow": {
          "outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
          "type": "outbound_transfer"
        }
      }
    },
    {
      "id": "trxne_65O8oG8wjR3SwkR7NrZ16NoTesLDSQ1IgNPigisRKq020u",
      "object": "v2.money_management.transaction_entry",
      "balance_impact": {
        "available": {
          "value": 0,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": -1000,
          "currency": "usd"
        }
      },
      "created": "2023-04-21T21:11:28.257Z",
      "effective_at": "2023-04-21T21:11:26.032Z",
      "livemode": true,
      "transaction": "trxn_65O8oG0K8YH83tRWorZ16NoTesLDSQ1IgNPigisRKq0OiG",
      "transaction_details": {
        "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
        "category": "outbound_transfer",
        "flow": {
          "outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
          "type": "outbound_transfer"
        }
      }
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- [`created`](https://docs.stripe.com/api/v2/money-management/transaction-entries/list.md?query=created) (object, optional)
  Filter for TransactionEntries created within a specified time range.

- `limit` (integer, optional)
  The page limit.

- `page` (string, optional)
  The page token.

- `transaction` (string, optional)
  Filter for TransactionEntries belonging to a specific Transaction. This filter only supports filtering by a Transaction ID, which appears in each TransactionEntry’s `transaction` field.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/money-management/transaction-entries/list.md?query=data) (array of objects)
  List of TransactionEntry objects.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_filters | Error returned when filter parameters in the request are invalid. |
| 404 | not_found | The resource wasn’t found. |
